aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.GetObject

# Documentation

data GetObject Source #

Constructors

GetObject |

Fields

- goBucket :: Bucket
- goObjectName :: Object
- goVersionId :: Maybe Text
- goResponseContentType :: Maybe Text
- goResponseContentLanguage :: Maybe Text
- goResponseExpires :: Maybe Text
- goResponseCacheControl :: Maybe Text
- goResponseContentDisposition :: Maybe Text
- goResponseContentEncoding :: Maybe Text
- goResponseContentRange :: Maybe (Int, Int)
- goIfMatch :: Maybe Text

  Return the object only if its entity tag (ETag, which is an md5sum of the content) is the same as the one specified; otherwise, catch a `StatusCodeException` with a status of 412 precondition failed.

- goIfNoneMatch :: Maybe Text

  Return the object only if its entity tag (ETag, which is an md5sum of the content) is different from the one specified; otherwise, catch a `StatusCodeException` with a status of 304 not modified.

#### Instances

Instances details

SignQuery GetObject Source # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.GetObject

Associated Types

type ServiceConfiguration GetObject |
Instance details Defined in Aws.S3.Commands.GetObject type ServiceConfiguration GetObject = S3Configuration

Methods

signQuery :: GetObject -> ServiceConfiguration GetObject queryType -> SignatureData -> SignedQuery Source #

Show GetObject Source # |
Instance details Defined in Aws.S3.Commands.GetObject Methods showsPrec :: Int -> GetObject -> ShowS Source # show :: GetObject -> String Source # showList :: [GetObject] -> ShowS Source #
ResponseConsumer GetObject GetObjectResponse Source # |

Instance details

Defined in Aws.S3.Commands.GetObject

Associated Types

type ResponseMetadata GetObjectResponse |
Instance details Defined in Aws.S3.Commands.GetObject type ResponseMetadata GetObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> GetObject -> IORef (ResponseMetadata GetObjectResponse) -> HTTPResponseConsumer GetObjectResponse Source #

Transaction GetObject GetObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.GetObject
type ServiceConfiguration GetObject Source # |
Instance details Defined in Aws.S3.Commands.GetObject type ServiceConfiguration GetObject = S3Configuration

getObject :: Bucket -> Text -> GetObject Source #

data GetObjectResponse Source #

Constructors

GetObjectResponse |

Fields

- gorMetadata :: ObjectMetadata
- gorResponse :: Response (ConduitM () ByteString (ResourceT IO) ())

#### Instances

Instances details

AsMemoryResponse GetObjectResponse Source # |

Instance details

Defined in Aws.S3.Commands.GetObject

Associated Types

type MemoryResponse GetObjectResponse |
Instance details Defined in Aws.S3.Commands.GetObject type MemoryResponse GetObjectResponse = GetObjectMemoryResponse

Methods

loadToMemory :: GetObjectResponse -> ResourceT IO (MemoryResponse GetObjectResponse) Source #

ResponseConsumer GetObject GetObjectResponse Source # |

Instance details

Defined in Aws.S3.Commands.GetObject

Associated Types

type ResponseMetadata GetObjectResponse |
Instance details Defined in Aws.S3.Commands.GetObject type ResponseMetadata GetObjectResponse = S3Metadata

Methods

responseConsumer :: Request -> GetObject -> IORef (ResponseMetadata GetObjectResponse) -> HTTPResponseConsumer GetObjectResponse Source #

Transaction GetObject GetObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.GetObject
type MemoryResponse GetObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.GetObject type MemoryResponse GetObjectResponse = GetObjectMemoryResponse
type ResponseMetadata GetObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.GetObject type ResponseMetadata GetObjectResponse = S3Metadata

data GetObjectMemoryResponse Source #

Constructors

GetObjectMemoryResponse ObjectMetadata (Response ByteString) |

#### Instances

Instances details

Show GetObjectMemoryResponse Source # |
Instance details Defined in Aws.S3.Commands.GetObject Methods showsPrec :: Int -> GetObjectMemoryResponse -> ShowS Source # show :: GetObjectMemoryResponse -> String Source # showList :: [GetObjectMemoryResponse] -> ShowS Source #